# ************************************************************************
# *
# * Subsystem makefile for HPS Apple OS X/X11 platform, using x86 processors.
# *
# *	Copyright (C) 2002-2008 Cincom Systems, Inc.
# *
# ************************************************************************
#
#
SUBSYS= plat
SUBSYSDIR= $(HPSSDIR)/plat

OBJS=\
usvFile.$(OBJ) \
unx86Icache.$(OBJ) \
usvMisc.$(OBJ) \
macXMisc.$(OBJ) \
nilSerial.$(OBJ) \
svr4Sig.$(OBJ) \
usvTime.$(OBJ) \
unx86CallC.$(OBJ) \
unx86Callback.$(OBJ) \
macx86CallCglue.$(OBJ) \
dyldDynamicLoad.$(OBJ) \
nilLeave.$(OBJ) \
svr4MapFile.$(OBJ) \
nilPlat.$(OBJ) \
unxAlarm.$(OBJ) \
unxDir.$(OBJ) \
unxECode.$(OBJ) \
unxError.$(OBJ) \
unxHerald.$(OBJ) \
unxIpc.$(OBJ) \
macXLGMain.$(OBJ) \
unxLoadGUI.$(OBJ) \
unxMem.$(OBJ) \
unxProc.$(OBJ) \
unxSock.$(OBJ) \
unxUtil.$(OBJ)

CSRCS=\
usvFile.c \
unx86Icache.c \
usvMisc.c \
nilSerial.c \
svr4Sig.c \
usvTime.c \
unx86CallC.c \
unx86Callback.c \
nilLeave.c \
svr4MapFile.c \
nilPlat.c \
unxAlarm.c \
unxDir.c \
unxECode.c \
unxError.c \
unxHerald.c \
unxIpc.c \
unxLoadGUI.c \
unxMem.c \
unxProc.c \
unxSock.c \
unxUtil.c

OBJCSRCS= \
dyldDynamicLoad.m \
macXLGMain.m \
macXMisc.m

SSRCS=macx86CallCglue.s

### Subsystem target.

$(SUBSYS).$(OBJ): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS)

include src/makefiles/makefile.include

include plat.dep
